Bug 816911 - [TestRun]Warning should be given directly in case of selecting no case run to add comment
[TestRun]Warning should be given directly in case of selecting no case run to...
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.7.0
Unspecified Linux
medium Severity medium
: ---
: ---
Assigned To: Yuguang Wang
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 05:54 EDT by Guoping Feng
Modified: 2016-05-26 09:20 EDT (History)
5 users (show)

See Also:
Fixed In Version: tcms 3.7.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adding comments (9.75 KB, image/png)
2012-04-27 05:54 EDT, Guoping Feng
no flags Details

  None (edit)
Description Guoping Feng 2012-04-27 05:54:17 EDT
Created attachment 580705 [details]
adding comments

Description of problem:
Selecting no case run, add comment, the comment dialogue box will pop up. And after clicking "Confirm", then the warning comes up "No runs selected." It's too late.

Version-Release number of selected component (if applicable):
tcms-stage - 3.7.0-1

How reproducible:
100%

Steps to Reproduce:
1.Enter into a run.
2.Choose no case run and click "Add" in the tab of "Comments".
3.Input some comment and click "Confirm".
  
Actual results:
After step3, the warning "No runs selected." comes out.

Expected results:
The warning "No runs selected." should be given directly after clicking "Add" comment to stop the comment dialogue box popping up which is meaningless.

Additional info:
Comment 1 jianchen 2012-05-02 05:43:58 EDT
This bug was fixed, please re-confirm in the tcms-3.7.0's next release.
Thanks.
Comment 2 Xin Gao 2012-05-08 04:42:30 EDT
erify result --> pass

verify version
tcms-3.7.0-2 on stage

verify step
1.Enter into a run.
2.Choose no case run and click "Add" in the tab of "Comments".
3.Input some comment and click "Confirm".

result
work well.

Note You need to log in before you can comment on or make changes to this bug.